XMLWriter::writeDTDEntity
XMLWriter::writeElementNS
XMLWriter Functions
PHP Manual

# XMLWriter::writeDTD

# xmlwriter_write_dtd

Write full DTD tag

### Description

Object oriented style

bool XMLWriter::writeDTD ( string `$name` [, string `$publicId` [, string `$systemId` [, string `$subset` ]]] )

Procedural style

bool xmlwriter_write_dtd ( resource `$xmlwriter` , string `$name` [, string `$publicId` [, string `$systemId` [, string `$subset` ]]] )

Writes a full DTD.

### Parameters

`xmlwriter`

  Only for procedural calls. The XMLWriter resource that is being modified. This resource comes from a call to xmlwriter_open_uri or xmlwriter_open_memory.

`name`

  The DTD name.

`publicId`

  The external subset public identifier.

`systemId`

  The external subset system identifier.

`subset`

  The content of the DTD.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### See Also

- XMLWriter::startDTD
- XMLWriter::endDTD